package sbc.mgclus.algorithm.scoring;

import java.util.PriorityQueue;

import sbc.mgclus.data.Cluster;
import sbc.mgclus.data.ClusterPair;

public interface Scoring {
	public abstract PriorityQueue<ClusterPair> getInitialClusterPairs();
	public abstract double calcMergeGain(Cluster c1, Cluster c2);
	public abstract double calcCNScore(Cluster c1, Cluster c2);
}
